net.sf.jasperreports.web.util

## Class ReportExecutionHyperlinkProducerFactory

- java.lang.Object
- - net.sf.jasperreports.engine.export.JRHyperlinkProducerFactory
  - - net.sf.jasperreports.web.util.ReportExecutionHyperlinkProducerFactory

-     public class ReportExecutionHyperlinkProducerFactory
      extends JRHyperlinkProducerFactory

  Version:
    $Id: ReportExecutionHyperlinkProducerFactory.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HYPERLINK_TYPE_REPORT_EXECUTION` Deprecated. Replaced by `ReportExecutionHyperlinkProducer.HYPERLINK_TYPE_REPORT_EXECUTION`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRHyperlinkProducer` | `getHandler(java.lang.String linkType)` Returns the hyperlink producer associated with a specific hyperlink type.
    `static ReportExecutionHyperlinkProducerFactory` | `getInstance(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.JRHyperlinkProducerFactory

      `produceHyperlink`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HYPERLINK_TYPE_REPORT_EXECUTION

          public static final java.lang.String HYPERLINK_TYPE_REPORT_EXECUTION

      Deprecated. Replaced by `ReportExecutionHyperlinkProducer.HYPERLINK_TYPE_REPORT_EXECUTION`.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static ReportExecutionHyperlinkProducerFactory getInstance(JasperReportsContext jasperReportsContext,
                                                            javax.servlet.http.HttpServletRequest request)

    - #### getHandler

          public JRHyperlinkProducer getHandler(java.lang.String linkType)

      Description copied from class: `JRHyperlinkProducerFactory`
      Returns the hyperlink producer associated with a specific hyperlink type.
      Specified by:
        `getHandler` in class `JRHyperlinkProducerFactory`
      Parameters:
        `linkType` - the hyperlink type
      Returns:
        an associated hyperlink producer, or `null` when none associated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com